---

image: quay.orus.io/cc/golang:1.22.4-bullseye

stages:
  - test

lint_code:
  stage: test
  cache:
    paths:
      - tools/bin
  script:
    - make lint

tests:
  stage: test
  variables:
    GOPATH: $CI_PROJECT_DIR/.gopath
  cache:
    paths:
      - .gopath/pkg/mod
  script:
    - go test .
